#include <bits/stdc++.h>
using namespace std;

int main() {
    string ss, st = "";
    getline(std::cin, ss);
    char k;
    cin >> k;
    if(k == 'c'){
        for(int i = 0; i  < ss.length(); i++){
            if(ss[i] == 'a' || ss[i] == 'e' || ss[i] == 'o' || ss[i] == 'u' || ss[i] == 'i' || ss[i] == 'y' || ss[i] == 'A' || ss[i] == 'E' || ss[i] == 'O' || ss[i] == 'U' || ss[i] == 'I' || ss[i] == 'Y'){
                st+= ss[i];
                st+= "f";
                st+= ss[i];
            }else{
                st+=ss[i];
            }
        }
        cout << st;
    }

    return 0;
}
